This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 710053

Summary: gpointing-device-settings do not get applied at login
Product: [Fedora] Fedora Reporter: Wander Boessenkool <wboessen>
Component: gnome-desktopAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 19CC: a.volovic, dev, extras-orphan, ignatenko, jlbouras, jmontleo, keke, ondra.pelech, rderooy, rgs, ricardo.arguello, rstrode
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-18 08:34:15 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 914053    
Bug Blocks:    

Description Wander Boessenkool 2011-06-02 07:07:24 EDT
Description of problem:
gpointing-device-settings do not get automatically applied at login in gnome3

Version-Release number of selected component (if applicable):
gpointing-device-settings-1.5-3.fc15

How reproducible:
Always

Steps to Reproduce:
1. Make some changes in gpointing-device-settings (like wheel emulation for a trackpoint)
2. logout
3. login
  
Actual results:
Changed settings do  net get applied

, logout, login
Expected results:
Stored changes get applied


Additional info:
It looks like the module for gnome-settings-daemon gets put in /usr/lib{,64}/gnome-settings-daemon-2.0, while gnome-settings-daemon reads the 3.0 directory
Comment 1 Robert de Rooy 2011-06-10 07:24:34 EDT
Same thing here, tested on several ThinkPads with gnome3. Happens both in gnome shell as classic mode.
Comment 2 Ondra Pelech 2011-06-20 16:48:44 EDT
can confirm (ThinkPad T61p)
btw seems similair to https://bugzilla.redhat.com/show_bug.cgi?id=713534
and is't there a quick'n'dirty way I myself can make it work?
anyway, I hope you guys fix this bug soon, because it's increadibly anoying :)
Comment 3 Wander Boessenkool 2011-06-21 02:52:57 EDT
I fixed it for now by adding the following to a new file /etc/X11/xorg.conf.d/20-trackpoint.conf:

Section "InputClass"
	Identifier	"Trackpoint Wheel Emulation"
	MatchProduct	"TPPS/2 IBM TrackPoint|DualPoint Stick|Synaptics Inc. Composite TouchPad / TrackPoint|ThinkPad USB Keyboard with TrackPoint|USB Trackpoint pointing device|Composite TouchPad / TrackPoint"
	MatchDevicePath	"/dev/input/event*"
	Option		"EmulateWheel"		"true"
	Option		"EmulateWheelButton"	"2"
	Option		"EmulateWheelInertia"	"10"
	Option		"EmulateWheelTimeout"	"190"
	Option		"Emulate3Buttons"	"false"
	Option		"XAxisMapping"		"6 7"
	Option		"YAxisMapping"		"4 5"
EndSection

Not a nice solution (it's set for every user), but until gpointing-device-settings works again good enough for me.
Comment 4 Ondra Pelech 2011-06-21 13:53:07 EDT
I blindly created the file and copied the snippet.
that made my X unable to start
unfortunatelly I don't know much about configuring X to make a sense of it
so this is warning for others not to do the same mistake as me

ThinkPad T61p
http://www.smolts.org/show?uuid=pub_828559fb-4c34-4eae-a12e-802d8ce8610d
Comment 5 Fedora Admin XMLRPC Client 2011-07-13 07:02:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Robert de Rooy 2011-08-03 06:13:05 EDT
Updated to gpointing-device-settings-1.5.1-4 but it made no difference. Settings still do not get applied on login.
Comment 7 Thomas Spura 2011-08-03 06:27:14 EDT
Yep, I know.
But I don't know why/have no workaround.

Upstream seems to not look at bugs etc...

It's quite difficult right now. :(
Comment 8 Alexander Volovics 2011-10-01 05:19:53 EDT
Just adding myself to list.
Same problem on Thinkpad T520 with UltraNav: 
- SynPS/2 Synaptics Touchpad
- TPPS/2 IBM Trackpoint
using 'gpointing-device-settings-1.5.1-4.fc15.x86_64'.
The 'wheel' settings for the trackpoint do not survive a reboot

I do have a further problem as the touchpad does not work at all
(and so cannot be configured using gpointing-device-settings).
Should this work "out of the box" or does it need special xorg
configuration? A file like in comment 3 but for the touchpad?
Looking at dmesg, etc. I get the impression it should work "out of the box".
Comment 9 Noel 2012-02-23 05:14:46 EST
I can confirm the configuration in comment 3 works with a little editing.
The line:
 MatchProduct "TPPS/2 IBM TrackPoint|DualPoint Stick|Synaptics Inc. Composite
TouchPad / TrackPoint|ThinkPad USB Keyboard with TrackPoint|USB Trackpoint
pointing device|Composite TouchPad / TrackPoint"

Just needs the line breaks edited so that they are on the same line. Be careful not to delete anything else.
Comment 10 Fedora End Of Life 2012-08-07 15:08:00 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Ondra Pelech 2012-10-06 20:25:17 EDT
this bug is still present in Fedora 17
Comment 12 Stefan Marinov 2012-11-15 17:02:15 EST
Just to confirm that it really is still present in Fedora 17.
Comment 13 John Bouras 2013-01-17 00:59:11 EST
This has been plaguing me since I began using Fedora 9. Back then, I was using an IBM ThinkPad R40. With every iteration of Fedora, this problem never fails. Now I'm on Fedora 18 with a Lenovo T61p, and the same thing occurs.

gpointing does not work after reboot.
Comment 14 John Bouras 2013-01-17 22:21:02 EST
I just wanted to reiterate: When I say "this problem never fails", I mean this condition is VERY reproducible.
Comment 15 Thomas Spura 2013-01-25 06:07:33 EST
I just orphaned the package as I'm not using it any more and upstream doesn't seem to work much on it any more:
http://git.gnome.org/browse/gpointing-device-settings/log/

Feel free to take it.
Comment 16 Fedora Admin XMLRPC Client 2013-02-24 05:42:45 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Dan Mashal 2013-03-01 22:57:42 EST
Have you tried the package "mousetweaks"?
Comment 18 John Bouras 2013-03-02 03:18:33 EST
mousetweaks is installed by default in Fedora. Well, at least it was on mine. The package doesn't seem to have any specialized settings.
Comment 19 Stefan Marinov 2013-03-06 19:07:56 EST
mousetweaks doesn't allow you to change the trackpoint setting, should you have one, e.g. scrolling; otherwise it's great that the touchpad gets disabled really easy with it.
Comment 20 Dan Mashal 2013-05-08 02:52:11 EDT
Please open a bug with gnome upstream. Upstream is dead for this package (hence why it was orphaned). 

Just to be nice I'll reassign to gnome-desktop and see if you get a response from Gnome devs. They maintain this upstream.
Comment 21 Fedora End Of Life 2015-01-09 16:49:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-02-18 08:34:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.